Как установить PHP через root на сервер? И какой?

Аватар пользователя 3vshi 3vshi 6 апреля 2012 в 14:24

Вот сейчас на сервере стоит какой-то php
Но при попытке еще туда поставить drupal 7 - выдает:
не ниже 5.2.5 или PHP 5.2.4 с htmlspecialchars security patch backported.

Т.е. какой и како поставить через root PHP ? Но чтобы друпал5, который сейчас стоит еще работал! И 7 тоже!
Какой надо ставить?
И как? Через root?

P.S. Я обратился за помощью, а не за издевательствами!

0 Thanks

Комментарии

Аватар пользователя 0legka 0legka 6 апреля 2012 в 15:13

Сами вы ничего не поставите, и врядли хостер будет ставить, но попробуйте и напишите ему письмо, лучший вариант сменить хостера =)

Аватар пользователя despain despain 6 апреля 2012 в 15:46

для дебиан подобного

apt-get search php5

apt-get install php5 php5-cgi php5-cli

для шапки

yum install php5 php5-cgi php5-cli

:)

его видимо в гугле забанили :)

Аватар пользователя bsyomov bsyomov 6 апреля 2012 в 16:25
"despain" wrote:

для дебиан подобного

apt-get search php5

apt-get install php5 php5-cgi php5-cli

для шапки

yum install php5 php5-cgi php5-cli

:)

его видимо в гугле забанили :)

А если там стоит старый дистрибутив,где php5.1 отродясь?
А если там вообще gentoo?
Если там какая-нибудь панель, которая ставит свои версии софта?
Ну и ещё масса всяких случаев.

Не давайте советов, не зная обстановки. Не давайте советов ставить какой-то софт тому, кто не понимает что как и зачем это делается.

Топикстартеру:
Вам нужен сисадмин, который разберётся что и как у вас сейчас настроено и вам всё сделает. Самостоятельно, вы с очень высокой долей вероятности просто всё сломаете. И это отнюдь не издевательства, это реальность. Судя по вашему вопросу вам совершенно не стоит туда лезть.

Аватар пользователя despain despain 9 апреля 2012 в 22:32
bsyomov wrote:
"despain" wrote:

для дебиан подобного

apt-get search php5

apt-get install php5 php5-cgi php5-cli

для шапки

yum install php5 php5-cgi php5-cli

:)

его видимо в гугле забанили :)

А если там стоит старый дистрибутив,где php5.1 отродясь?
А если там вообще gentoo?
Если там какая-нибудь панель, которая ставит свои версии софта?
Ну и ещё масса всяких случаев.

Не давайте советов, не зная обстановки. Не давайте советов ставить какой-то софт тому, кто не понимает что как и зачем это делается.

Топикстартеру:
Вам нужен сисадмин, который разберётся что и как у вас сейчас настроено и вам всё сделает. Самостоятельно, вы с очень высокой долей вероятности просто всё сломаете. И это отнюдь не издевательства, это реальность. Судя по вашему вопросу вам совершенно не стоит туда лезть.

хм хм ....на генте то да геммор что то собирать ...согласен!

ну а подключить сторонний репозиторий например тот же dotdeb (для дебиана) или centalt (для шапок) и поставить\обновить php это не кошерно?

для себя собрал тестовый стенд на виртуалке vmware там есть все что нужно и не нужно,даже панелька isp

PPS обновлял софт на шапках и дебиянов на панелях isp cpanel da и каких либо проблем не увидел

а по поводу сисадмина да вы правы...

Аватар пользователя multpix multpix 6 апреля 2012 в 17:31
"bsyomov" wrote:

Топикстартеру:
Вам нужен сисадмин, который разберётся что и как у вас сейчас настроено и вам всё сделает.

Поддерживаю!
поставит, и настроит, и еще глядишь какой акселератор прикрутит))

грамотная настройка серверной части, это не банальное
make install clean

Аватар пользователя afishi afishi 6 апреля 2012 в 23:10

вот я нашел что-то http://hostinghutor.com/blog/update-php-mysql-in-centOS.html

может обновим до 5.2.х ?
но есть пролема. 5 не работает хорошо на 5.3, а 7 не очень работает на 5.1 и может прокатит на 5.2.

вот в картинку как обновить север http://lib.clodo.ru/cms/drupal7-centos/
Готовим сервер к работе - Debian/Ubuntu
Готовим сервер на основе Debian/Ubuntu Linux OS.

http://wiki.vdsplanet.ru/%D0%93%D0%BE%D1%82%D0%BE%D0%B2%D0%B8%D0%BC_%D1%... .............................................

nend 4 шага расписано подьем но не до 5.3.

http://rootblog.info/54-obnovilenie-php-526-na-php-5217-na-debian-5-lenn...

.....................................

Короче, вместо того чтобы издеваться, над человеком, дали бы ссылок, или назвали бы цену свою и время!
Вам что деньги не нужны?

Аватар пользователя multpix multpix 6 апреля 2012 в 23:42
"afishi" wrote:

Короче, вместо того чтобы издеваться, над человеком, дали бы ссылок, или назвали бы цену свою и время!
Вам что деньги не нужны?

шутишь верно?

Мосье bsyomov четко, лаконично и грамотно вскрыл проблему, пусть ТС самостоятельно решит, как поступать.

а засыпать ссылками на настройку и установку, в данном случае - оказать медвежью услугу.
(тут она одна - документация по установке на php.net)

казалось - бы чего сложного - подправить пяток конфигов,
но без понимания собственных действий сия процедура может затянутся)

Аватар пользователя bsyomov bsyomov 7 апреля 2012 в 0:28
"afishi" wrote:

Короче, вместо того чтобы издеваться, над человеком, дали бы ссылок, или назвали бы цену свою и время!
Вам что деньги не нужны?

Нельзя вот так давать ссылки, когда не известна даже OS. Это минимум бесполезно, максимум привёдёт к тому, что и работающий сайт ляжет.
А достаточно информации для того, чтобы получить внятный и работоспособный совет у ТС собрать не получится - для этого нужны знания в администрировании, и возможно, не самые минимальные, и если бы они были, или вопрос не так был бы сформулирован, или вообще бы он не возник.

ТС: Напишите в скайп(boris.syomov), я вас проконсультирую, и возможно настрою, если вам это будет необходимо, и мы договоримся.